import markdownIt from "markdown-it";
import mkgh from "markdown-it-github-alerts";

export default function(eleventyConfig) {
    const options = {
        html: true,
        breaks: true,
        linkify: true,
    };

    const md = markdownIt(options);
    md.use(mkgh);
    eleventyConfig.setLibrary("md", md);

    eleventyConfig.addPassthroughCopy("src/fonts/typewriter.ttf");
    eleventyConfig.addPassthroughCopy("src/post.css");
};

